﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="ManageAlbums.aspx.cs"
    Inherits="MPS.UI.Admin_ManageAlbums" Title="Manage Albums" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Manage Albums" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblNewAlbum" Text="[ Total {0} photos ]" /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td>
                    <asp:GridView ID="gvwCategories" runat="server" AutoGenerateColumns="False" DataSourceID="objAllAlbums"
                        Width="100%" DataKeyNames="ID" OnRowDeleted="gvwCategories_RowDeleted" OnRowCreated="gvwCategories_RowCreated"
                        OnSelectedIndexChanged="gvwCategories_SelectedIndexChanged" ShowHeader="False"
                        GridLines="None" CellPadding="4" ForeColor="#333333">
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <RowStyle BackColor="#EFF3FB" />
                        <Columns>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                        <tr>
                                            <td valign="top" width="30%">
                                                <img src="../Handler.ashx?AlbumID=<%# Eval("Id") %>&Size=S" class="photo_198" style="border: 4px solid white"
                                                    alt='Sample Photo from Album Number <%# Eval("Id") %>' />
                                            </td>
                                            <td valign="middle" align="center" width="70%">
                                                <asp:Label runat="server" ID="lblCatTitle" Text='<%# Eval("Caption") %>' Font-Size="Large" />
                                                <br />
                                            </td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:HyperLinkField Text="<img border='0' src='../Images/manage_photo.png' alt='Mange photos' />"
                                DataNavigateUrlFormatString="ManagePhotos.aspx?albumID={0}" DataNavigateUrlFields="Id">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:HyperLinkField>
                            <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/Edit.gif" SelectText="Edit album"
                                ShowSelectButton="True">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:CommandField>
                            <asp:CommandField ButtonType="Image" DeleteImageUrl="~/Images/Delete.gif" DeleteText="Delete album"
                                ShowDeleteButton="True">
                                <ItemStyle HorizontalAlign="Center" Width="20px" />
                            </asp:CommandField>
                        </Columns>
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <EmptyDataTemplate>
                            <b>No albums to show</b></EmptyDataTemplate>
                        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle BackColor="#2461BF" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <asp:ObjectDataSource ID="objAllAlbums" runat="server" SelectMethod="GetAlbums" TypeName="MPS.BLL.PhotoGallery.Album"
            DeleteMethod="DeleteAlbum"></asp:ObjectDataSource>
        <p>
        </p>
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td>
                    <asp:DetailsView ID="dvwAlbum" runat="server" AutoGenerateDeleteButton="True" AutoGenerateEditButton="True"
                        AutoGenerateInsertButton="True" AutoGenerateRows="False" DataKeyNames="ID" DataSourceID="objCurrAlbum"
                        HeaderText="Album Details" DefaultMode="Insert" GridLines="None" OnDataBound="dvwAlbum_DataBound"
                        CommandRowStyle-HorizontalAlign="Center" OnItemCommand="dvwAlbum_ItemCommand"
                        OnItemInserted="dvwAlbum_ItemInserted" OnItemUpdated="dvwAlbum_ItemUpdated" CellPadding="4"
                        ForeColor="#333333">
                        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <CommandRowStyle HorizontalAlign="Center" BackColor="#D1DDF1" Font-Bold="True"></CommandRowStyle>
                        <RowStyle BackColor="#EFF3FB" />
                        <FieldHeaderStyle Width="100px" />
                        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                        <Fields>
                            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" ReadOnly="True"
                                SortExpression="ID" />
                            <asp:TemplateField HeaderText="Caption">
                                <ItemTemplate>
                                    <asp:Label ID="lblCaption" runat="server" Text='<%# Eval("Caption") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtCaption" runat="server" Text='<%# Bind("Caption") %>' Width="200px"
                                        MaxLength="256"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="valRequireCaption" runat="server" ControlToValidate="txtCaption"
                                        SetFocusOnError="true" Text="The Caption field is required." ToolTip="The Caption field is required."
                                        Display="Dynamic"></asp:RequiredFieldValidator>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="IsPublic" SortExpression="IsPublic">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkIsPublic" runat="server" Checked='<%# Eval("IsPublic") %>' Enabled="False" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:CheckBox ID="chkIsPublic" runat="server" Checked='<%# Bind("IsPublic") %>' />
                                </EditItemTemplate>
                            </asp:TemplateField>
                        </Fields>
                        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:DetailsView>
                </td>
            </tr>
        </table>
    </div>
    <asp:ObjectDataSource ID="objCurrAlbum" runat="server" DeleteMethod="DeleteAlbum"
        InsertMethod="InsertAlbum" SelectMethod="GetAlbumsByID" TypeName="MPS.BLL.PhotoGallery.Album"
        UpdateMethod="UpdateAlbum">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id" Type="Int32" />
            <asp:Parameter Name="caption" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="isPublic" Type="Boolean" />
        </UpdateParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="gvwCategories" Name="albumID" PropertyName="SelectedValue"
                Type="Int32" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="caption" Type="String" ConvertEmptyStringToNull="false" />
            <asp:Parameter Name="isPublic" Type="Boolean" />
        </InsertParameters>
    </asp:ObjectDataSource>
</asp:Content>
