﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BlogListing.ascx.cs" Inherits="MPS.UI.Controls_BlogListing" %>
<asp:GridView ID="gvwBlogs" runat="server" AllowPaging="True" AutoGenerateColumns="False"
    DataKeyNames="ID" DataSourceID="objBlogs" PageSize="10" ShowHeader="False" BorderWidth="0"
    EmptyDataText="<b>There is no blog to show for the selected category</b>" OnRowDataBound="gvwBlogs_RowDataBound"
    OnRowCommand="gvwBlogs_RowCommand" GridLines="None" CssClass="content-wrapper">
    <PagerSettings Mode="NextPrevious" NextPageText="&amp;lt; Older Entries" PreviousPageText="Newer Entries  &amp;gt;"
        LastPageText="Last &amp;gt;&amp;gt;" />
    <Columns>
        <asp:TemplateField HeaderText="Blog List (including those not yet published)" ControlStyle-BorderStyle="None">
            <ControlStyle BorderStyle="None"></ControlStyle>
            <HeaderStyle HorizontalAlign="Left" />
            <ItemTemplate>
                <div class="item-header">
                    <h2 class="title">
                        <asp:HyperLink runat="server" ID="HyperLink1" Text='<%# Eval("BlogTitle") %>' NavigateUrl='<%# ResolveUrl("~/Post/" + Eval("Id") + "/" + Eval("BlogTitle").ToString().Replace(" ","-") + ".aspx") %>' />
                        <asp:Image runat="server" ID="imgKey" ImageUrl="~/Images/key.gif" AlternateText="Requires login"
                            Visible='<%# (bool)Eval("isOnlyForMembers") && !Page.User.Identity.IsAuthenticated %>' />
                        <asp:Label runat="server" ID="lblNotApproved" Text="[Not published]" ForeColor="Red"
                            BackColor="Yellow" Font-Size="Small" Visible='<%# !(bool)Eval("isPublished") %>' />
                    </h2>
                    <div class="categories">
                        Posted in
                        <asp:HyperLink runat="server" ID="lblCategory" Text='<%# Eval("CategoryTitle") %>'
                            NavigateUrl='<%# ResolveUrl("~/Category/" + Eval("CategoryId") + "/" + "Default.aspx") %>'
                            CssClass="categoryLinkStyle" />
                        <br />
                        <asp:Label ForeColor="#2255AA" Font-Bold="true" runat="server" ID="lblViews" Text='<%# "This post has been read " + Eval("ViewCount") + " times" %>' />
                    </div>
                    <asp:Panel runat="server" ID="panEditArticle" Visible='<%# UserCanEdit %>'>
                        <asp:ImageButton runat="server" ID="btnApprove" ImageUrl="~/Images/Ok.gif" CommandName="Approve"
                            CommandArgument='<%# Eval("Id") %>' AlternateText="Publish blog" Visible='<%# !(bool)Eval("isPublished")  %>'
                            OnClientClick="if (confirm('Are you sure you want to publish this blog?') == false) return false;" />
                        &nbsp;&nbsp;
                        <asp:HyperLink runat="server" ID="lnkEdit" ToolTip="Edit Blog" NavigateUrl='<%# "~/Admin/AddEditBlog.aspx?ID=" + Eval("ID") %>'
                            ImageUrl="~/Images/Edit.gif" Visible="true" />
                        &nbsp;&nbsp;
                        <asp:ImageButton runat="server" ID="btnDelete" ImageUrl="~/Images/Delete.gif" CommandName="Delete"
                            AlternateText="Delete Blog" OnClientClick="if (confirm('Are you sure you want to delete this blog?') == false) return false;" />
                    </asp:Panel>
                </div>
                <div class="item-content">
                    <p>
                        <b>Abstract:</b>
                        <asp:Literal runat="server" ID="lblAbstract" Text='<%# Eval("ExcerptBlogText") %>' /></p>
                </div>
                <div class="clear" />
                <div class="item-footer">
                    <div class="content">
                        <ul>
                            <li class="single-line">Posted by
                                <asp:Literal runat="server" ID="lblAddedBy" Text='<%# Eval("AddedBy") %>' />
                                on
                                <asp:Literal runat="server" ID="lblAddedDate" Text='<%# Eval("AddedDate", "{0:f}") %>' />
                            </li>
                            <li class="first"><b>
                                <asp:Label CssClass="commentLinkStyle" runat="server" ID="lblComments" Text='<%# Eval("Comments.Count") + " comments on this post" %>' /></b>
                            </li>
                            <li>
                                <asp:HyperLink CssClass="permalink" ID="perma" runat="server" Text="Permalink" NavigateUrl='<%# ResolveUrl("~/Post/" + Eval("Id") + "/" + Eval("BlogTitle").ToString().Replace(" ","-") + ".aspx") %>' />
                            </li>
                        </ul>
                    </div>
                </div>
                <br clear="all" />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    <PagerStyle Font-Bold="True" Font-Underline="False" ForeColor="#CC3300" HorizontalAlign="Center" />
    <EmptyDataTemplate>
        <br />
        <b>No blogs to show</b></EmptyDataTemplate>
</asp:GridView>
<asp:ObjectDataSource ID="objBlogs" runat="server" DeleteMethod="DeleteBlog" SelectMethod="GetBlogs"
    SelectCountMethod="GetBlogCount" EnablePaging="True" TypeName="MPS.BLL.Blogs.Blog">
    <DeleteParameters>
        <asp:Parameter Name="id" Type="Int32" />
    </DeleteParameters>
    <SelectParameters>
        <asp:Parameter DefaultValue="true" Name="publishedOnly" Type="Boolean" />
    </SelectParameters>
</asp:ObjectDataSource>
