﻿<%@ WebHandler Language="C#" Class="Handler" %>

using System;
using System.IO;
using System.Web;
using MPS.BLL.PhotoGallery;


public class Handler : IHttpHandler 
{
    public void ProcessRequest(HttpContext context)
    {
        //Set up the response settings
        context.Response.ContentType = "image/jpeg";
        context.Response.Cache.SetCacheability(HttpCacheability.Public);
        context.Response.BufferOutput = false;

        PhotoSize size = PhotoSize.Original;

        //Setup the Size Parameter
        switch (context.Request.QueryString["size"])
        {
            case "S":
                size = PhotoSize.Small;
                break;
            case "M":
                size = PhotoSize.Medium;
                break;
            case "L":
                size = PhotoSize.Large;
                break;
            default:
                size = PhotoSize.Original;
                break;
        }

        Stream stream = null;

        if ((context.Request.QueryString["PhotoLocation"]) != null && (context.Request.QueryString["PhotoLocation"]) != "")
        {
            string path = (string)context.Request.QueryString["PhotoLocation"];
            stream = new FileStream(HttpContext.Current.Server.MapPath(path), FileMode.Open, FileAccess.Read, FileShare.Read);
            stream = Photo.ResizeImageFile(stream, size);
        }
        else
        {
            int id = 1;
            if ((context.Request.QueryString["PhotoID"]) != null && (context.Request.QueryString["PhotoID"]) != "")
            {
                id = Convert.ToInt32(context.Request.QueryString["PhotoID"]);
                stream = Photo.GetPhoto(id, size);
            }
            else
            {
                id = Convert.ToInt32(context.Request.QueryString["AlbumID"]);
                stream = Photo.GetFirstPhoto(id, size);
            }
            if ((stream == null))
            {
               stream = Photo.GetPhoto(size);
            }
        }
        
        //Write image stream to the response stream
		int buffersize = (1024 * 16);
		Byte[] buffer = new Byte[(buffersize)];
        int count = stream.Read(buffer, 0, buffersize);

        do
        {
            context.Response.OutputStream.Write(buffer, 0, count);
            count = stream.Read(buffer, 0, buffersize);
        } while (count > 0);
        
    }
 
    public bool IsReusable
    {
        get 
        {
            return true;
        }
    }
}
