<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="Register.aspx.cs"
    Inherits="MPS.UI.Register" Title="Register Account" %>

<%@ Register Src="Controls/UserProfile.ascx" TagName="UserProfile" TagPrefix="up" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Create New Account" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblViews" Text="By having an account you can access the downloads section." /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle" <%--style="border: none;"--%>>
        <asp:CreateUserWizard runat="server" ID="CreateUserWizard1" ContinueDestinationPageUrl="~/Default.aspx"
            OnFinishButtonClick="CreateUserWizard1_FinishButtonClick" OnCreatedUser="CreateUserWizard1_CreatedUser"
            OnSendingMail="CreateUserWizard1_SendingMail">
            <MailDefinition BodyFileName="~/RegistrationMail.txt" From="yourmailid"
                Subject="Vinay's Personal Site: Welcome">
            </MailDefinition>
            <WizardSteps>
                <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
                    <ContentTemplate>
                        <table cellpadding="2">
                            <tr>
                                <td style="width: 110px;">
                                    <asp:Label runat="server" ID="lblUserName" AssociatedControlID="UserName" Text="Username:" />
                                </td>
                                <td style="width: 300px;">
                                    <asp:TextBox runat="server" ID="UserName" Width="100%" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequireUserName" runat="server" ControlToValidate="UserName"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="Username is required."
                                        ToolTip="Username is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname">
                                    <asp:Label runat="server" ID="lblPassword" AssociatedControlID="Password" Text="Password:" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="Password" TextMode="Password" Width="100%" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequirePassword" runat="server" ControlToValidate="Password"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="Password is required."
                                        ToolTip="Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator ID="valPasswordLength" runat="server" ControlToValidate="Password"
                                        SetFocusOnError="true" Display="Dynamic" ValidationExpression="(?=^.{6,}$)(?=.*\d)(?=.*\W+)(?![.\n]).*$"
                                        ErrorMessage="Password must have 1 number, 1 special character, and more than 6 characters."
                                        ToolTip="Password must have 1 number, 1 special character, and more than 6 characters."
                                        ValidationGroup="CreateUserWizard1">*</asp:RegularExpressionValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname">
                                    <asp:Label runat="server" ID="lblConfirmPassword" AssociatedControlID="ConfirmPassword"
                                        Text="Confirm password:" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="ConfirmPassword" TextMode="Password" Width="100%" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequireConfirmPassword" runat="server" ControlToValidate="ConfirmPassword"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="Confirm Password is required."
                                        ToolTip="Confirm Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                    <asp:CompareValidator ID="valComparePasswords" runat="server" ControlToCompare="Password"
                                        SetFocusOnError="true" ControlToValidate="ConfirmPassword" Display="Dynamic"
                                        ErrorMessage="The Password and Confirmation Password must match." ValidationGroup="CreateUserWizard1">*</asp:CompareValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname">
                                    <asp:Label runat="server" ID="lblEmail" AssociatedControlID="Email" Text="E-mail:" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="Email" Width="100%" Text='<%# Email %>' />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequireEmail" runat="server" ControlToValidate="Email"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="E-mail is required." ToolTip="E-mail is required."
                                        ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                    <asp:RegularExpressionValidator runat="server" ID="valEmailPattern" Display="Dynamic"
                                        SetFocusOnError="true" ValidationGroup="CreateUserWizard1" ControlToValidate="Email"
                                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="The e-mail address you specified is not well-formed.">*</asp:RegularExpressionValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname">
                                    <asp:Label runat="server" ID="lblQuestion" AssociatedControlID="Question" Text="Security question:" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="Question" Width="100%" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequireQuestion" runat="server" ControlToValidate="Question"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="Security question is required."
                                        ToolTip="Security question is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname">
                                    <asp:Label runat="server" ID="lblAnswer" AssociatedControlID="Answer" Text="Security answer:" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="Answer" Width="100%" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="valRequireAnswer" runat="server" ControlToValidate="Answer"
                                        SetFocusOnError="true" Display="Dynamic" ErrorMessage="Security answer is required."
                                        ToolTip="Security answer is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3" style="text-align: right;">
                                    <asp:Label ID="ErrorMessage" SkinID="FeedbackKO" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                            </tr>
                        </table>
                        <asp:ValidationSummary ValidationGroup="CreateUserWizard1" ID="ValidationSummary1"
                            runat="server" ShowMessageBox="True" ShowSummary="False" />
                    </ContentTemplate>
                </asp:CreateUserWizardStep>
                <asp:WizardStep ID="WizardStep1" runat="server" Title="Set preferences" StepType="Step">
                    <label id="headers">
                        Set-up your profile</label>
                    <p>
                    </p>
                    All settings in this section are optional. Thank you for your cooperation!
                    <p>
                    </p>
                    <up:UserProfile ID="UserProfile1" runat="server" />
                </asp:WizardStep>
                <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
                    <ContentTemplate>
                        <table border="0">
                            <tr>
                                <td align="center" colspan="2">
                                    Complete
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Your account has been successfully created.
                                </td>
                            </tr>
                            <tr>
                                <td align="right" colspan="2">
                                    <asp:Button ID="ContinueButton" runat="server" CausesValidation="False" CommandName="Continue"
                                        Text="Continue" ValidationGroup="CreateUserWizard1" />
                                </td>
                            </tr>
                        </table>
                    </ContentTemplate>
                </asp:CompleteWizardStep>
            </WizardSteps>
        </asp:CreateUserWizard>
        <br />
        <br />
        <br />
    </div>
</asp:Content>
